use super::comparator::*;

pub trait Keyed: Clone {
    type Key: Send + Clone;
}

pub trait WithComparator: Keyed {
    type Comparator: Comparator<Self::Key>;

    fn comparator(&self) -> &Self::Comparator;
}
